package com.muyu.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @Author：chaiyapeng
 * @Package：com.muyu.domain
 * @Project：cloud-mart
 * @name：UserSearch
 * @Date：2024/8/22 16:55
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class UserSearch {
    /**
     * id
     */
    private Integer userId;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 密码
     */
    private String userPwd;
    /**
     * 手机号
     */
    private String userPhone;
    /**
     * 身份证
     */
    private String userIdentityCard;
    /**
     * 邮箱
     */
    private String userMailbox;
    /**
     * 余额
     */
    private BigDecimal userBalance;
    /**
     * 用户名查询
     */
    private String blur;
    /**
     * 当前页
     */
    private Integer pageSum;
    /**
     *每页显示的条数
     */
    private Integer pageSize;
}
