package com.muyu.domain;

import lombok.Data;

/**
 * @Author：chaiyapeng
 * @Package：com.muyu.domain
 * @Project：cloud-port
 * @name：WeatherForecast
 * @Date：2024/9/4 19:05
 * 天气预报
 */
@Data
public class WeatherForecast {
    private String cityName;
    /**
     * 城市
     */
    private String city;
    /**
     * 天气
     */
    private String info;
    /**
     * 温度
     */
    private String temperature;
    /**
     * 湿度
     */
    private String humidity;
    /**
     * 风向
     */
    private String direct;
    /**
     * 风力
     */
    private String power;
    /**
     * 空气质量
     */
    private String aqi;
}
